import 'dart:io';

import 'package:device_info_plus/device_info_plus.dart';

class ModelDeviceApp {
  String device_name = "";
  String package_name = "";
  String device_uuid = "dkfjdf-8458893434-dknfksdfk-49384";
  String app_name = "";
  String platform = "";

  ModelDeviceApp() {
    var deviceInfo = DeviceInfoPlugin();
    initPlatformState(deviceInfo);
  }

  void initPlatformState(DeviceInfoPlugin deviceInfo) async {
    if (Platform.isAndroid) {
      var androidDeviceInfo = await deviceInfo.androidInfo;
      var uuid = androidDeviceInfo.androidId;
      if (uuid != null && uuid.isNotEmpty) {
        device_uuid = uuid;
      }
    } else if (Platform.isIOS) {
      var iOSDeviceInfo = await deviceInfo.iosInfo;
      var uuid = iOSDeviceInfo.identifierForVendor;
      if (uuid != null && uuid.isNotEmpty) {
        device_uuid = uuid;
      }
    }
  }
}
