import 'dart:convert';

import 'package:feedify/const.dart';

import 'model_notification.dart';

class ModelLocalNotification {
  static Map<String, String> getInstance(ModelNotification notificationData) {
    final map = <String, String>{};
    map[Constants.title] = (notificationData.title ?? '');
    map[Constants.image] = (notificationData.image ?? '');
    map[Constants.icon] = (notificationData.icon ?? '');
    map[Constants.body] = (notificationData.body ?? '');
    map[Constants.url] = (notificationData.url ?? '');
    map[Constants.button1Title] =
        (notificationData.button?.button1?.title ?? '');
    map[Constants.button1Action] =
        (notificationData.button?.button1?.action ?? '');
    map[Constants.button1Icon] = (notificationData.button?.button1?.icon ?? '');
    map[Constants.button2Title] =
        (notificationData.button?.button2?.title ?? '');
    map[Constants.button2Action] =
        (notificationData.button?.button2?.action ?? '');
    map[Constants.button2Icon] = (notificationData.button?.button2?.icon ?? '');
    map[Constants.notificationId] = (notificationData.id ?? '');
    map[Constants.customParams] = (jsonEncode(notificationData.customParams));
    map[Constants.customParamsButton] =
        (jsonEncode(notificationData.customParamsBtn));
    map[Constants.type] = (notificationData.type ?? '');
    return map;
  }
}
