import 'package:feedify/logs.dart';
import 'package:shared_preferences/shared_preferences.dart';

class AppPreferences {
  static const String KEY_FCM = 'key_fcm';

  Future<SharedPreferences> _getPreferences() {
    return SharedPreferences.getInstance();
  }

  Future<bool> saveBool(String key, dynamic value) async {
    SharedPreferences sharedPreferences = await _getPreferences();
    bool result = await sharedPreferences.setBool(key, value);
    Logs.d('value saved $result :: $key => $value');
    return result;
  }

  Future<bool?> getBool(key) async {
    SharedPreferences sharedPreferences = await _getPreferences();
    return sharedPreferences.getBool(key);
  }

  Future<String?> getString(String key) async {
    SharedPreferences sharedPreferences = await _getPreferences();
    return sharedPreferences.getString(key);
  }

  Future<bool> saveString(String key, dynamic value) async {
    SharedPreferences sharedPreferences = await _getPreferences();
    bool result = await sharedPreferences.setString(key, value);
    Logs.d('value saved $result :: $key => $value');
    return result;
  }
}
